Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 452716 - cannot shutdown: assertion `error->code == DBUS_GERROR_REMOTE_EXCEPTION' failed
Summary: cannot shutdown: assertion `error->code == DBUS_GERROR_REMOTE_EXCEPTION' failed
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: gdm
Version: 9
Hardware: i686
OS: Linux
low
low
Target Milestone: ---
Assignee: jmccann
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-06-24 16:02 UTC by Ian Collier
Modified: 2015-01-14 23:21 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-07-14 15:33:02 UTC


Attachments (Terms of Use)

Description Ian Collier 2008-06-24 16:02:02 UTC
Description of problem:
System is a Pentium M laptop that was recently upgraded from Fedora 7 to
Fedora 9 (using anaconda booted from a F9 DVD).

On the login screen provided by gdm-simple-greeter, pressing the Restart or
Shutdown button has no visible effect.  (The Suspend button does have a visible
effect in that it puts up a message saying "Your computer failed to suspend").

On checking /var/log/messages after pressing the Restart or Shutdown buttons,
the following line is seen once for each press:

gdm-simple-greeter[27923]: CRITICAL: dbus_g_error_get_name: assertion
`error->code == DBUS_GERROR_REMOTE_EXCEPTION' failed

Version-Release number of selected component (if applicable):
gdm-2.22.0-5.fc9.i386

How reproducible:
Always

Additional info:
Possibly related: bug 381701

Comment 1 Michael J. Chudobiak 2008-07-24 17:43:44 UTC
Ian, did you find a workaround?

I also experience this problem on an F9 system, originally installed using the
LiveCD ISO (on a thumb drive).

I am using an HP DC7700.

I see errors like this:

Jul 24 08:24:51 caprica gdm-simple-greeter[2418]: WARNING: Unable to find users:
no seat-id found
Jul 24 08:25:13 caprica gdm-simple-greeter[2418]: CRITICAL:
dbus_g_error_get_name: assertion `error->code == DBUS_GERROR_REMOTE_EXCEPTION'
failed 

- Mike

Comment 2 Ian Collier 2008-07-24 19:10:21 UTC
In the end I downgraded gdm to gdm-2.20.5-3.fc8.

I did later notice, however, that console-kit-daemon wasn't running and that was
causing a fair number of subsidiary problems (no sound, no wireless and no
auto-mounting of USB sticks), so I wonder if this was one of them.  However, I
didn't retry this bug once I'd fixed the console kit daemon, because I'm much
happier with the older gdm than the newer one.

Comment 3 Michael J. Chudobiak 2008-07-25 12:29:09 UTC
Long story: I originally installed this F9 system from the LiveCD iso because of
bug 442457, which prevented installer-CD installation, because the Samsung hard
drive has a model name that needs escaping.

I have installed a different (non-Samsung) hard drive, and re-installed a fresh
copy of F9 (using the LiveCD thumb iso), and the gdm buttons work now.

Thus, I believe this is a side-effect / duplicate of bug 442457.

- Mike


Comment 4 Michael J. Chudobiak 2008-07-25 15:39:40 UTC
Ugh, ignore my last comment. After fully upgrading the system the problem is
back. It has nothing to do with bug 442457. Sigh.

Comment 5 Michael J. Chudobiak 2008-10-09 13:50:04 UTC
I found this was caused by having both dbus and messagebus users in /etc/passwd, due to a long upgrade history.

Removing the messagebus user and re-installing dbus and hal fixed things (by setting dbus/messagebus file permissions correctly).

I think this bug should be closed, since it is no longer affecting anyone.

- Mike

Comment 6 Bug Zapper 2009-06-10 01:45:43 UTC
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 7 Bug Zapper 2009-07-14 15:33:02 UTC
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.